Index: inc/bitmap.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/bitmap.hxx,v
retrieving revision 1.18
retrieving revision 1.18.128.2
diff -u -r1.18 -r1.18.128.2
Index: inc/dockwin.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/dockwin.hxx,v
retrieving revision 1.10
retrieving revision 1.10.192.2
diff -u -r1.10 -r1.10.192.2
Index: inc/fontcfg.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/fontcfg.hxx,v
retrieving revision 1.9
retrieving revision 1.9.192.1
diff -u -r1.9 -r1.9.192.1
--- inc/fontcfg.hxx	9 Sep 2005 10:57:31 -0000	1.9
+++ inc/fontcfg.hxx	22 Feb 2006 10:06:27 -0000	1.9.192.1
@@ -206,7 +206,7 @@
                                                                    rtl::OUString(),
                                                                    rtl::OUString() )
                                      ) const;
-    static void getMapName( const String& rOrgName, String& rShortName, String& rFamilyName, FontWeight& rWeight, FontWidth& rWidth, unsigned long& rType );
+    static void getMapName( const String& rOrgName, String& rShortName, String& rFamilyName, FontWeight& rWeight, FontWidth& rWidth, ULONG& rType );
 };
 
 } // namespace vcl
Index: inc/gfxlink.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/gfxlink.hxx,v
retrieving revision 1.11
retrieving revision 1.11.190.3
diff -u -r1.11 -r1.11.190.3
--- inc/gfxlink.hxx	9 Sep 2005 10:58:15 -0000	1.11
+++ inc/gfxlink.hxx	23 Feb 2006 08:59:15 -0000	1.11.190.3
@@ -155,8 +155,8 @@
 	GfxLinkType			meType;
 	ImpBuffer*			mpBuf;
 	ImpSwap*			mpSwap;
-	ULONG				mnBufSize;
-	ULONG				mnUserId;
+	sal_uInt32			mnBufSize;
+	sal_uInt32			mnUserId;
     ImpGfxLink*         mpImpData;
 	ULONG				mnExtra2;
 
@@ -166,7 +166,7 @@
 						GfxLink();
 						GfxLink( const GfxLink& );
 						GfxLink( const String& rPath, GfxLinkType nType );
-						GfxLink( BYTE* pBuf, ULONG nBufSize, GfxLinkType nType, BOOL bOwns );
+						GfxLink( BYTE* pBuf, sal_uInt32 nBufSize, GfxLinkType nType, BOOL bOwns );
 						~GfxLink();
 						
 	GfxLink&			operator=( const GfxLink& );
@@ -174,11 +174,11 @@
 						
 	GfxLinkType			GetType() const;
 
-	void				SetUserId( ULONG nUserId ) { mnUserId = nUserId; }
-	ULONG				GetUserId() const { return mnUserId; }
+	void				SetUserId( sal_uInt32 nUserId ) { mnUserId = nUserId; }
+	sal_uInt32			GetUserId() const { return mnUserId; }
 
-	ULONG				GetDataSize() const;	
-	void				SetData( BYTE* pBuf, ULONG nSize, GfxLinkType nType, BOOL bOwns );
+	sal_uInt32			GetDataSize() const;	
+	void				SetData( BYTE* pBuf, sal_uInt32 nSize, GfxLinkType nType, BOOL bOwns );
 	const BYTE*			GetData() const;
 
 	const Size&			GetPrefSize() const;
Index: inc/imgcons.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/imgcons.hxx,v
retrieving revision 1.5
retrieving revision 1.5.100.2
diff -u -r1.5 -r1.5.100.2
Index: inc/metaact.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/metaact.hxx,v
retrieving revision 1.9
retrieving revision 1.9.192.3
diff -u -r1.9 -r1.9.192.3
--- inc/metaact.hxx	9 Sep 2005 11:10:11 -0000	1.9
+++ inc/metaact.hxx	23 Feb 2006 08:59:16 -0000	1.9.192.3
@@ -315,8 +315,8 @@
 private:
 
 	Rectangle			maRect;
-	ULONG				mnHorzRound;
-	ULONG				mnVertRound;
+	sal_uInt32			mnHorzRound;
+	sal_uInt32			mnVertRound;
 
 	virtual	sal_Bool	Compare( const MetaAction& ) const;
 
@@ -324,14 +324,14 @@
 						DECL_META_ACTION( RoundRect, META_ROUNDRECT_ACTION )
 
 						MetaRoundRectAction( const Rectangle& rRect,
-											 long nHorzRound, long nVertRound );
+											 sal_uInt32 nHorzRound, sal_uInt32 nVertRound );
 
 	virtual void		Move( long nHorzMove, long nVertMove );
 	virtual void		Scale( double fScaleX, double fScaleY );
 
 	const Rectangle&	GetRect() const { return maRect; }
-	ULONG				GetHorzRound() const { return mnHorzRound; }
-	ULONG				GetVertRound() const { return mnVertRound; }
+	sal_uInt32			GetHorzRound() const { return mnHorzRound; }
+	sal_uInt32			GetVertRound() const { return mnVertRound; }
 };
 
 // ---------------------
@@ -596,7 +596,7 @@
 
 	Point				maPt;
 	XubString			maStr;
-	ULONG				mnWidth;
+	sal_uInt32			mnWidth;
 	USHORT				mnIndex;
 	USHORT				mnLen;
 
@@ -605,7 +605,7 @@
 public:
 						DECL_META_ACTION( StretchText, META_STRETCHTEXT_ACTION )
 
-						MetaStretchTextAction( const Point& rPt, ULONG nWidth,
+						MetaStretchTextAction( const Point& rPt, sal_uInt32 nWidth,
 											   const XubString& rStr,
 											   USHORT nIndex, USHORT nLen );
 
@@ -614,7 +614,7 @@
 
 	const Point&		GetPoint() const { return maPt; }
 	const XubString&	GetText() const { return maStr; }
-	ULONG				GetWidth() const { return mnWidth; }
+	sal_uInt32			GetWidth() const { return mnWidth; }
 	USHORT				GetIndex() const { return mnIndex; }
 	USHORT				GetLen() const { return mnLen; }
 };
@@ -1481,18 +1481,18 @@
 private:
 
 	ByteString			maComment;
-	long				mnValue;
-	ULONG				mnDataSize;
+	sal_Int32			mnValue;
+	sal_uInt32			mnDataSize;
 	BYTE*				mpData;
 
-	SAL_DLLPRIVATE void	ImplInitDynamicData( const BYTE* pData, ULONG nDataSize );
+	SAL_DLLPRIVATE void	ImplInitDynamicData( const BYTE* pData, sal_uInt32 nDataSize );
 	virtual	sal_Bool	Compare( const MetaAction& ) const;
 
 public:
-						MetaCommentAction( long nValue = 0L );
+						MetaCommentAction( sal_Int32 nValue = 0L );
 						MetaCommentAction( const MetaCommentAction& rAct );
-						MetaCommentAction( const ByteString& rComment, long nValue = 0L, const BYTE* pData = NULL, ULONG nDataSize = 0UL );
-						MetaCommentAction( const BYTE* pData, ULONG nDataSize );
+						MetaCommentAction( const ByteString& rComment, sal_Int32 nValue = 0L, const BYTE* pData = NULL, sal_uInt32 nDataSize = 0UL );
+						MetaCommentAction( const BYTE* pData, sal_uInt32 nDataSize );
 						~MetaCommentAction();
 
 	virtual void		Execute( OutputDevice* pOut );
@@ -1501,8 +1501,8 @@
 	virtual void		Read( SvStream& rIStm, ImplMetaReadData* pData );
 
 	const ByteString&	GetComment() const { return maComment; }
-	long				GetValue() const { return mnValue; }
-	ULONG				GetDataSize() const { return mnDataSize; }
+	sal_Int32			GetValue() const { return mnValue; }
+	sal_uInt32			GetDataSize() const { return mnDataSize; }
 	const BYTE* 		GetData() const { return mpData; }
 };
 
@@ -1514,15 +1514,15 @@
 {
 private:
 
-    ULONG    			mnLayoutMode;
+    sal_uInt32 			mnLayoutMode;
 	virtual	sal_Bool	Compare( const MetaAction& ) const;
 
 public:
 						DECL_META_ACTION( LayoutMode, META_LAYOUTMODE_ACTION )
 
-						MetaLayoutModeAction( ULONG nLayoutMode );
+						MetaLayoutModeAction( sal_uInt32 nLayoutMode );
 
-    ULONG				GetLayoutMode() const { return mnLayoutMode; }
+    sal_uInt32			GetLayoutMode() const { return mnLayoutMode; }
 };
 
 // ------------------------
Index: inc/print.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/print.hxx,v
retrieving revision 1.22
retrieving revision 1.22.192.3
diff -u -r1.22 -r1.22.192.3
--- inc/print.hxx	9 Sep 2005 11:15:40 -0000	1.22
+++ inc/print.hxx	23 Feb 2006 08:59:16 -0000	1.22.192.3
@@ -128,8 +128,8 @@
 	XubString					maDriver;
 	XubString					maLocation;
 	XubString					maComment;
-	ULONG						mnStatus;
-	ULONG						mnJobs;
+	sal_uInt32					mnStatus;
+	sal_uInt32					mnJobs;
 
 public:
 								QueueInfo();
@@ -140,8 +140,8 @@
 	const XubString&			GetDriver() const { return maDriver; }
 	const XubString&			GetLocation() const { return maLocation; }
 	const XubString&			GetComment() const { return maComment; }
-	ULONG						GetStatus() const { return mnStatus; }
-	ULONG						GetJobs() const { return mnJobs; }
+	sal_uInt32					GetStatus() const { return mnStatus; }
+	sal_uInt32					GetJobs() const { return mnJobs; }
 
 	const QueueInfo&			operator==( const QueueInfo& rInfo );
 
Index: inc/salgdi.hxx
===================================================================
RCS file: /cvs/gsl/vcl/inc/salgdi.hxx,v
retrieving revision 1.30
retrieving revision 1.30.128.1
diff -u -r1.30 -r1.30.128.1
--- inc/salgdi.hxx	2 Nov 2005 13:28:04 -0000	1.30
+++ inc/salgdi.hxx	22 Feb 2006 10:06:27 -0000	1.30.128.1
@@ -127,10 +127,10 @@
     virtual void		drawRect( long nX, long nY, long nWidth, long nHeight ) = 0;
     virtual void		drawPolyLine( ULONG nPoints, const SalPoint* pPtAry ) = 0;
     virtual void		drawPolygon( ULONG nPoints, const SalPoint* pPtAry ) = 0;
-    virtual void		drawPolyPolygon( ULONG nPoly, const ULONG* pPoints, PCONSTSALPOINT* pPtAry ) = 0;
+    virtual void		drawPolyPolygon( sal_uInt32 nPoly, const sal_uInt32* pPoints, PCONSTSALPOINT* pPtAry ) = 0;
     virtual sal_Bool	drawPolyLineBezier( ULONG nPoints, const SalPoint* pPtAry, const BYTE* pFlgAry ) = 0;
     virtual sal_Bool	drawPolygonBezier( ULONG nPoints, const SalPoint* pPtAry, const BYTE* pFlgAry ) = 0;
-    virtual sal_Bool	drawPolyPolygonBezier( ULONG nPoly, const ULONG* pPoints, const SalPoint* const* pPtAry, const BYTE* const* pFlgAry ) = 0;
+    virtual sal_Bool	drawPolyPolygonBezier( sal_uInt32 nPoly, const sal_uInt32* pPoints, const SalPoint* const* pPtAry, const BYTE* const* pFlgAry ) = 0;
 
     // CopyArea --> No RasterOp, but ClipRegion
     virtual void		copyArea( long nDestX, long nDestY, long nSrcX, long nSrcY, long nSrcWidth,
@@ -328,8 +328,8 @@
     void                    DrawRect( long nX, long nY, long nWidth, long nHeight, const OutputDevice *pOutDev );
     void                    DrawPolyLine( ULONG nPoints, const SalPoint* pPtAry, const OutputDevice *pOutDev );
     void                    DrawPolygon( ULONG nPoints, const SalPoint* pPtAry, const OutputDevice *pOutDev );
-    void                    DrawPolyPolygon( ULONG nPoly,
-                                             const ULONG* pPoints,
+    void                    DrawPolyPolygon( sal_uInt32 nPoly,
+                                             const sal_uInt32* pPoints,
                                              PCONSTSALPOINT* pPtAry,
                                              const OutputDevice *pOutDev );
     sal_Bool                DrawPolyLineBezier( ULONG nPoints,
@@ -340,8 +340,8 @@
                                                const SalPoint* pPtAry,
                                                const BYTE* pFlgAry,
                                                const OutputDevice *pOutDev );
-    sal_Bool                DrawPolyPolygonBezier( ULONG nPoly,
-                                                   const ULONG* pPoints,
+    sal_Bool                DrawPolyPolygonBezier( sal_uInt32 nPoly,
+                                                   const sal_uInt32* pPoints,
                                                    const SalPoint* const* pPtAry,
                                                    const BYTE* const* pFlgAry,
                                                    const OutputDevice *pOutDev );
Index: source/control/ilstbox.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/control/ilstbox.cxx,v
retrieving revision 1.54
retrieving revision 1.54.56.2
diff -u -r1.54 -r1.54.56.2
Index: source/gdi/bitmap2.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/bitmap2.cxx,v
retrieving revision 1.10
retrieving revision 1.10.4.3
diff -u -r1.10 -r1.10.4.3
--- source/gdi/bitmap2.cxx	9 Feb 2006 14:50:28 -0000	1.10
+++ source/gdi/bitmap2.cxx	23 Feb 2006 08:59:17 -0000	1.10.4.3
@@ -212,7 +212,7 @@
 			if( ZCOMPRESS == aHeader.nCompression )
 			{
 				ZCodec	aCodec;
-				ULONG	nCodedSize, nUncodedSize;
+				sal_uInt32 nCodedSize, nUncodedSize;
 				ULONG	nCodedPos;
 
 				// read coding information
@@ -692,7 +692,7 @@
 	DIBInfoHeader	aHeader;
 	ULONG			nImageSizePos;
 	ULONG			nEndPos;
-	ULONG			nCompression = 0;
+	sal_uInt32		nCompression = 0;
 	BOOL			bRet = FALSE;
 
 	aHeader.nSize = DIBINFOHEADERSIZE;
@@ -776,7 +776,7 @@
 		ZCodec			aCodec;
 		SvMemoryStream	aMemStm( aHeader.nSizeImage + 4096, 65535 );
 		ULONG			nCodedPos = rOStm.Tell(), nLastPos;
-		ULONG			nCodedSize, nUncodedSize;
+		sal_uInt32		nCodedSize, nUncodedSize;
 
 		// write uncoded data palette
 		if( aHeader.nColsUsed )
Index: source/gdi/cvtsvm.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/cvtsvm.cxx,v
retrieving revision 1.10
retrieving revision 1.10.190.3
diff -u -r1.10 -r1.10.190.3
--- source/gdi/cvtsvm.cxx	9 Sep 2005 11:56:33 -0000	1.10
+++ source/gdi/cvtsvm.cxx	23 Feb 2006 08:59:17 -0000	1.10.190.3
@@ -1079,8 +1079,8 @@
 				{
 					Point	aStartPt;
 					long	nWidth;
-					ULONG	nStrikeout;
-					ULONG	nUnderline;
+					sal_uInt32 nStrikeout;
+					sal_uInt32 nUnderline;
 					INT32	nFollowingActionCount;
 
 					rIStm >> aStartPt >> nWidth >> nStrikeout >> nUnderline >> nFollowingActionCount;
@@ -1114,8 +1114,8 @@
 				case( GDI_COMMENT_COMMENT ):
 				{
 					ByteString	aComment;
-					long		nValue;
-					ULONG		nDataSize;
+					sal_Int32	nValue;
+					sal_uInt32	nDataSize;
 					BYTE*		pData;
 					INT32		nFollowingActionCount;
 
@@ -2079,7 +2079,9 @@
 				rOStm.SeekRel( 4 );
 
 				// write data
-				rOStm << rStartPt << nWidth << (ULONG) eStrikeout << (ULONG) eUnderline;
+				rOStm << rStartPt << nWidth << 
+					static_cast<sal_uInt32>(eStrikeout) << 
+					static_cast<sal_uInt32>(eUnderline);
 				rOStm << (INT32) 0; // number of actions that follow this comment
 
 				// calculate and write ActionSize of comment
@@ -2098,7 +2100,7 @@
 			case( META_COMMENT_ACTION ):
 			{
 				const MetaCommentAction*	pA = (MetaCommentAction*) pAction;
-				const ULONG 				nDataSize = pA->GetDataSize();
+				const sal_uInt32 			nDataSize = pA->GetDataSize();
 				ULONG						nOldPos, nNewPos;
 
 				// write RefPoint comment
Index: source/gdi/gfxlink.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/gfxlink.cxx,v
retrieving revision 1.13
retrieving revision 1.13.190.3
diff -u -r1.13 -r1.13.190.3
--- source/gdi/gfxlink.cxx	9 Sep 2005 11:58:33 -0000	1.13
+++ source/gdi/gfxlink.cxx	23 Feb 2006 08:59:18 -0000	1.13.190.3
@@ -71,7 +71,7 @@
 
 // ------------------------------------------------------------------------
 
-GfxLink::GfxLink( BYTE* pBuf, ULONG nSize, GfxLinkType nType, BOOL bOwns ) :
+GfxLink::GfxLink( BYTE* pBuf, sal_uInt32 nSize, GfxLinkType nType, BOOL bOwns ) :
     mpImpData( new ImpGfxLink )
 {
 	meType = nType;
@@ -177,7 +177,7 @@
 
 // ------------------------------------------------------------------------
 
-ULONG GfxLink::GetDataSize() const
+sal_uInt32 GfxLink::GetDataSize() const
 {
 	return mnBufSize;
 }
@@ -355,8 +355,8 @@
 {
     Size            aSize;
     MapMode         aMapMode;
-	ULONG			nSize;
-	ULONG			nUserId;
+	sal_uInt32		nSize;
+	sal_uInt32		nUserId;
 	UINT16			nType;
 	BYTE*			pBuf;	
     bool			bMapAndSizeValid( false );
Index: source/gdi/imgcons.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/imgcons.cxx,v
retrieving revision 1.4
retrieving revision 1.4.192.2
diff -u -r1.4 -r1.4.192.2
Index: source/gdi/impgraph.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/impgraph.cxx,v
retrieving revision 1.22
retrieving revision 1.22.72.3
diff -u -r1.22 -r1.22.72.3
--- source/gdi/impgraph.cxx	20 Jan 2006 12:52:24 -0000	1.22
+++ source/gdi/impgraph.cxx	23 Feb 2006 08:59:18 -0000	1.22.72.3
@@ -100,8 +100,8 @@
 #define SYS_OS2METAFILE			    0x00000005
 #define SYS_MACMETAFILE			    0x00000006
                                     
-#define GRAPHIC_FORMAT_50		    COMPAT_FORMAT( 'G', 'R', 'F', '5' )
-#define NATIVE_FORMAT_50		    COMPAT_FORMAT( 'N', 'A', 'T', '5' )
+#define GRAPHIC_FORMAT_50		    static_cast<sal_uInt32>(COMPAT_FORMAT( 'G', 'R', 'F', '5' ))
+#define NATIVE_FORMAT_50		    static_cast<sal_uInt32>(COMPAT_FORMAT( 'N', 'A', 'T', '5' ))
 
 // ---------------
 // - ImpSwapFile -
@@ -904,7 +904,7 @@
 	MapMode			aMapMode;
 	Size			aSize;
     const ULONG		nStartPos = rIStm.Tell();
-	ULONG			nId;
+	sal_uInt32		nId;
 	ULONG			nHeaderLen;
 	long			nType;
 	long			nLen;
@@ -1486,7 +1486,7 @@
 	if( !rIStm.GetError() )
 	{
 		const ULONG	nStmPos1 = rIStm.Tell();
-		ULONG		nTmp;
+		sal_uInt32 nTmp;
 
 		if ( !rImpGraphic.mbSwapUnderway )
 			rImpGraphic.ImplClear();
Index: source/gdi/metaact.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/metaact.cxx,v
retrieving revision 1.15
retrieving revision 1.15.192.3
diff -u -r1.15 -r1.15.192.3
--- source/gdi/metaact.cxx	9 Sep 2005 12:04:36 -0000	1.15
+++ source/gdi/metaact.cxx	23 Feb 2006 08:59:19 -0000	1.15.192.3
@@ -573,7 +573,7 @@
 // ------------------------------------------------------------------------
 
 MetaRoundRectAction::MetaRoundRectAction( const Rectangle& rRect,
-										  long nHorzRound, long nVertRound ) :
+										  sal_uInt32 nHorzRound, sal_uInt32 nVertRound ) :
 	MetaAction	( META_ROUNDRECT_ACTION ),
 	maRect		( rRect ),
 	mnHorzRound ( nHorzRound ),
@@ -1426,7 +1426,7 @@
 
 void MetaTextArrayAction::Write( SvStream& rOStm, ImplMetaWriteData* pData )
 {
-    const ULONG nAryLen = mpDXAry ? mnLen : 0;
+    const sal_uInt32 nAryLen = mpDXAry ? mnLen : 0;
 
 	WRITE_BASE_COMPAT( rOStm, 2, pData );
 	rOStm	<< maStartPt;
@@ -1451,7 +1451,7 @@
 
 void MetaTextArrayAction::Read( SvStream& rIStm, ImplMetaReadData* pData )
 {
-	ULONG nAryLen;
+	sal_uInt32 nAryLen;
 
 	delete[] mpDXAry;
 
@@ -1465,7 +1465,7 @@
 	if( nAryLen )
 	{
         // #i9762#, #106172# Ensure that DX array is at least mnLen entries long
-        const ULONG nIntAryLen( Max(nAryLen, static_cast<ULONG>(mnLen)) );
+        const ULONG nIntAryLen( Max(nAryLen, static_cast<sal_uInt32>(mnLen)) );
 		mpDXAry = new sal_Int32[ nIntAryLen ];
         
         ULONG i;
@@ -1495,7 +1495,7 @@
 
 // ------------------------------------------------------------------------
 
-MetaStretchTextAction::MetaStretchTextAction( const Point& rPt, ULONG nWidth,
+MetaStretchTextAction::MetaStretchTextAction( const Point& rPt, sal_uInt32 nWidth,
 											  const XubString& rStr,
 											  USHORT nIndex, USHORT nLen ) :
 	MetaAction	( META_STRETCHTEXT_ACTION ),
@@ -1747,8 +1747,8 @@
 
 	rOStm << maPos;
 	rOStm << mnWidth;
-	rOStm << (ULONG)meStrikeout;
-	rOStm << (ULONG)meUnderline;
+	rOStm << static_cast<sal_uInt32>(meStrikeout);
+	rOStm << static_cast<sal_uInt32>(meUnderline);
 }
 
 // ------------------------------------------------------------------------
@@ -1757,7 +1757,7 @@
 {
 	COMPAT( rIStm );
 
-	ULONG nTemp;
+	sal_uInt32 nTemp;
 	rIStm >> maPos;
 	rIStm >> mnWidth;
 	rIStm >> nTemp;
@@ -3886,7 +3886,7 @@
 
 // ========================================================================
 
-MetaCommentAction::MetaCommentAction( long nValue ) :
+MetaCommentAction::MetaCommentAction( sal_Int32 nValue ) :
 	MetaAction	( META_COMMENT_ACTION ),
 	mnValue 	( nValue )
 {
@@ -3905,7 +3905,7 @@
 
 // ------------------------------------------------------------------------
 
-MetaCommentAction::MetaCommentAction( const ByteString& rComment, long nValue, const BYTE* pData, ULONG nDataSize ) :
+MetaCommentAction::MetaCommentAction( const ByteString& rComment, sal_Int32 nValue, const BYTE* pData, sal_uInt32 nDataSize ) :
 	MetaAction	( META_COMMENT_ACTION ),
 	maComment	( rComment ),
 	mnValue 	( nValue )
@@ -3915,7 +3915,7 @@
 
 // ------------------------------------------------------------------------
 
-MetaCommentAction::MetaCommentAction( const BYTE* pData, ULONG nDataSize ) :
+MetaCommentAction::MetaCommentAction( const BYTE* pData, sal_uInt32 nDataSize ) :
 	MetaAction	( META_COMMENT_ACTION ),
 	mnValue 	( 0L )
 {
@@ -3932,7 +3932,7 @@
 
 // ------------------------------------------------------------------------
 
-void MetaCommentAction::ImplInitDynamicData( const BYTE* pData, ULONG nDataSize )
+void MetaCommentAction::ImplInitDynamicData( const BYTE* pData, sal_uInt32 nDataSize )
 {
 	if ( nDataSize && pData )
 	{
@@ -4009,7 +4009,7 @@
 
 // ------------------------------------------------------------------------
 
-MetaLayoutModeAction::MetaLayoutModeAction( ULONG nLayoutMode ) :
+MetaLayoutModeAction::MetaLayoutModeAction( sal_uInt32 nLayoutMode ) :
 	MetaAction	( META_LAYOUTMODE_ACTION ),
 	mnLayoutMode( nLayoutMode )
 {
Index: source/gdi/outdev.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/outdev.cxx,v
retrieving revision 1.38
retrieving revision 1.38.118.1
diff -u -r1.38 -r1.38.118.1
--- source/gdi/outdev.cxx	18 Nov 2005 20:03:48 -0000	1.38
+++ source/gdi/outdev.cxx	22 Feb 2006 10:06:28 -0000	1.38.118.1
@@ -271,17 +271,17 @@
 // #100127# Extracted from OutputDevice::DrawPolyPolygon()
 void OutputDevice::ImplDrawPolyPolygon( USHORT nPoly, const PolyPolygon& rPolyPoly )
 {
-    ULONG				aStackAry1[OUTDEV_POLYPOLY_STACKBUF];
+    sal_uInt32			aStackAry1[OUTDEV_POLYPOLY_STACKBUF];
     PCONSTSALPOINT		aStackAry2[OUTDEV_POLYPOLY_STACKBUF];
     BYTE*				aStackAry3[OUTDEV_POLYPOLY_STACKBUF];
-    ULONG*				pPointAry;
+    sal_uInt32*			pPointAry;
     PCONSTSALPOINT* 	pPointAryAry;
     const BYTE**	 	pFlagAryAry;
     USHORT				i = 0, j = 0, last = 0;
     BOOL				bHaveBezier = sal_False;
     if ( nPoly > OUTDEV_POLYPOLY_STACKBUF )
     {
-        pPointAry		= new ULONG[nPoly];
+        pPointAry		= new sal_uInt32[nPoly];
         pPointAryAry	= new PCONSTSALPOINT[nPoly];
         pFlagAryAry		= new const BYTE*[nPoly];
     }
Index: source/gdi/outdev4.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/outdev4.cxx,v
retrieving revision 1.20
retrieving revision 1.20.192.1
diff -u -r1.20 -r1.20.192.1
--- source/gdi/outdev4.cxx	9 Sep 2005 12:06:41 -0000	1.20
+++ source/gdi/outdev4.cxx	22 Feb 2006 10:06:28 -0000	1.20.192.1
@@ -155,7 +155,7 @@
 	else if( pPolyPoly->Count() )
 	{
 		USHORT				nCount = pPolyPoly->Count();
-		ULONG*				pPointAry = new ULONG[nCount];
+		sal_uInt32*			pPointAry = new sal_uInt32[nCount];
 		PCONSTSALPOINT* 	pPointAryAry = new PCONSTSALPOINT[nCount];
 		USHORT				i = 0;
 		do
Index: source/gdi/pdfwriter_impl.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/pdfwriter_impl.cxx,v
retrieving revision 1.89
retrieving revision 1.89.4.2
diff -u -r1.89 -r1.89.4.2
Index: source/gdi/pngwrite.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/pngwrite.cxx,v
retrieving revision 1.6
retrieving revision 1.6.192.2
diff -u -r1.6 -r1.6.192.2
--- source/gdi/pngwrite.cxx	9 Sep 2005 12:09:34 -0000	1.6
+++ source/gdi/pngwrite.cxx	23 Feb 2006 08:48:25 -0000	1.6.192.2
@@ -268,8 +268,8 @@
    /* png signature is always an array of 8 bytes */
 	sal_uInt16 nOldMode = rOStm.GetNumberFormatInt();
 	rOStm.SetNumberFormatInt( NUMBERFORMAT_INT_BIGENDIAN );
-	rOStm << (ULONG)0x89504e47;
-	rOStm << (ULONG)0x0d0a1a0a;
+	rOStm << static_cast<sal_uInt32>(0x89504e47);
+	rOStm << static_cast<sal_uInt32>(0x0d0a1a0a);
 
 	std::vector< vcl::PNGWriter::ChunkData >::iterator aBeg( maChunkSeq.begin() );
 	std::vector< vcl::PNGWriter::ChunkData >::iterator aEnd( maChunkSeq.end() );
Index: source/gdi/print.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/print.cxx,v
retrieving revision 1.53
retrieving revision 1.53.4.2
diff -u -r1.53 -r1.53.4.2
Index: source/gdi/salgdilayout.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/gdi/salgdilayout.cxx,v
retrieving revision 1.20
retrieving revision 1.20.130.1
diff -u -r1.20 -r1.20.130.1
--- source/gdi/salgdilayout.cxx	1 Nov 2005 10:33:15 -0000	1.20
+++ source/gdi/salgdilayout.cxx	22 Feb 2006 10:06:29 -0000	1.20.130.1
@@ -323,7 +323,7 @@
 	else
 		drawPolygon( nPoints, pPtAry );
 }
-void	SalGraphics::DrawPolyPolygon( ULONG nPoly, const ULONG* pPoints, PCONSTSALPOINT* pPtAry, const OutputDevice *pOutDev )
+void	SalGraphics::DrawPolyPolygon( sal_uInt32 nPoly, const sal_uInt32* pPoints, PCONSTSALPOINT* pPtAry, const OutputDevice *pOutDev )
 {
 	if( (m_nLayout & SAL_LAYOUT_BIDI_RTL) ) 
 	{
@@ -356,7 +356,7 @@
     DBG_ASSERT( !(m_nLayout & SAL_LAYOUT_BIDI_RTL), "DrawPolygonBezier - no mirroring implemented"); 
     return drawPolygonBezier( nPoints, pPtAry, pFlgAry );
 }
-sal_Bool SalGraphics::DrawPolyPolygonBezier( ULONG nPoly, const ULONG* pPoints,
+sal_Bool SalGraphics::DrawPolyPolygonBezier( sal_uInt32 nPoly, const sal_uInt32* pPoints,
                                                    const SalPoint* const* pPtAry, const BYTE* const* pFlgAry, const OutputDevice *pOutDev )
 {
     DBG_ASSERT( !(m_nLayout & SAL_LAYOUT_BIDI_RTL), "DrawPolyPolygonBezier - no mirroring implemented"); 
Index: source/window/dockmgr.cxx
===================================================================
RCS file: /cvs/gsl/vcl/source/window/dockmgr.cxx,v
retrieving revision 1.16
retrieving revision 1.16.4.2
diff -u -r1.16 -r1.16.4.2
Index: unx/inc/pspgraphics.h
===================================================================
RCS file: /cvs/gsl/vcl/unx/inc/pspgraphics.h,v
retrieving revision 1.9
retrieving revision 1.9.132.1
diff -u -r1.9 -r1.9.132.1
--- unx/inc/pspgraphics.h	2 Nov 2005 13:32:52 -0000	1.9
+++ unx/inc/pspgraphics.h	22 Feb 2006 10:06:29 -0000	1.9.132.1
@@ -151,8 +151,8 @@
     virtual void			drawRect( long nX, long nY, long nWidth, long nHeight );
     virtual void			drawPolyLine( ULONG nPoints, const SalPoint* pPtAry );
     virtual void			drawPolygon( ULONG nPoints, const SalPoint* pPtAry );
-    virtual void			drawPolyPolygon( ULONG nPoly,
-                                             const ULONG* pPoints,
+    virtual void			drawPolyPolygon( sal_uInt32 nPoly,
+                                             const sal_uInt32* pPoints,
                                              PCONSTSALPOINT* pPtAry );
     virtual sal_Bool		drawPolyLineBezier( ULONG nPoints,
                                                 const SalPoint* pPtAry,
@@ -160,8 +160,8 @@
     virtual sal_Bool		drawPolygonBezier( ULONG nPoints,
                                                const SalPoint* pPtAry,
                                                const BYTE* pFlgAry );
-    virtual sal_Bool		drawPolyPolygonBezier( ULONG nPoly,
-                                                   const ULONG* pPoints,
+    virtual sal_Bool		drawPolyPolygonBezier( sal_uInt32 nPoly,
+                                                   const sal_uInt32* pPoints,
                                                    const SalPoint* const* pPtAry,
                                                    const BYTE* const* pFlgAry );
     virtual void			copyArea( long nDestX,
Index: unx/inc/salgdi.h
===================================================================
RCS file: /cvs/gsl/vcl/unx/inc/salgdi.h,v
retrieving revision 1.33
retrieving revision 1.33.130.1
diff -u -r1.33 -r1.33.130.1
--- unx/inc/salgdi.h	2 Nov 2005 13:33:13 -0000	1.33
+++ unx/inc/salgdi.h	22 Feb 2006 10:06:30 -0000	1.33.130.1
@@ -265,8 +265,8 @@
     virtual void			drawRect( long nX, long nY, long nWidth, long nHeight );
     virtual void			drawPolyLine( ULONG nPoints, const SalPoint* pPtAry );
     virtual void			drawPolygon( ULONG nPoints, const SalPoint* pPtAry );
-    virtual void			drawPolyPolygon( ULONG nPoly,
-                                             const ULONG* pPoints,
+    virtual void			drawPolyPolygon( sal_uInt32 nPoly,
+                                             const sal_uInt32* pPoints,
                                              PCONSTSALPOINT* pPtAry );
     virtual sal_Bool		drawPolyLineBezier( ULONG nPoints,
                                                 const SalPoint* pPtAry,
@@ -274,8 +274,8 @@
     virtual sal_Bool		drawPolygonBezier( ULONG nPoints,
                                                const SalPoint* pPtAry,
                                                const BYTE* pFlgAry );
-    virtual sal_Bool		drawPolyPolygonBezier( ULONG nPoly,
-                                                   const ULONG* pPoints,
+    virtual sal_Bool		drawPolyPolygonBezier( sal_uInt32 nPoly,
+                                                   const sal_uInt32* pPoints,
                                                    const SalPoint* const* pPtAry,
                                                    const BYTE* const* pFlgAry );
     virtual void			copyArea( long nDestX,
Index: unx/source/app/i18n_cb.cxx
===================================================================
RCS file: /cvs/gsl/vcl/unx/source/app/i18n_cb.cxx,v
retrieving revision 1.27
retrieving revision 1.27.78.2
diff -u -r1.27 -r1.27.78.2
Index: unx/source/gdi/pspgraphics.cxx
===================================================================
RCS file: /cvs/gsl/vcl/unx/source/gdi/pspgraphics.cxx,v
retrieving revision 1.13
retrieving revision 1.13.128.1
diff -u -r1.13 -r1.13.128.1
--- unx/source/gdi/pspgraphics.cxx	2 Nov 2005 13:34:27 -0000	1.13
+++ unx/source/gdi/pspgraphics.cxx	22 Feb 2006 10:06:30 -0000	1.13.128.1
@@ -384,8 +384,8 @@
     m_pPrinterGfx->DrawPolygon (nPoints, (Point*)pPtAry);
 }
 
-void PspGraphics::drawPolyPolygon( ULONG			nPoly,
-								   const ULONG	   *pPoints,
+void PspGraphics::drawPolyPolygon( sal_uInt32			nPoly,
+								   const sal_uInt32   *pPoints,
 								   PCONSTSALPOINT  *pPtAry )
 {
     m_pPrinterGfx->DrawPolyPolygon (nPoly, pPoints, (const Point**)pPtAry);
@@ -403,8 +403,8 @@
     return sal_True;
 }
 
-sal_Bool PspGraphics::drawPolyPolygonBezier( ULONG nPoly,
-                                             const ULONG* pPoints,
+sal_Bool PspGraphics::drawPolyPolygonBezier( sal_uInt32 nPoly,
+                                             const sal_uInt32* pPoints,
                                              const SalPoint* const* pPtAry,
                                              const BYTE* const* pFlgAry )
 {
Index: unx/source/gdi/salgdi.cxx
===================================================================
RCS file: /cvs/gsl/vcl/unx/source/gdi/salgdi.cxx,v
retrieving revision 1.36
retrieving revision 1.36.190.1
diff -u -r1.36 -r1.36.190.1
--- unx/source/gdi/salgdi.cxx	9 Sep 2005 13:07:10 -0000	1.36
+++ unx/source/gdi/salgdi.cxx	22 Feb 2006 10:06:31 -0000	1.36.190.1
@@ -826,8 +826,8 @@
 }
 
 // -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
-void X11SalGraphics::drawPolyPolygon( ULONG			nPoly,
-								   const ULONG	   *pPoints,
+void X11SalGraphics::drawPolyPolygon( sal_uInt32		nPoly,
+								   const sal_uInt32	   *pPoints,
 								   PCONSTSALPOINT  *pPtAry )
 {
     if( nBrushColor_ != 0xFFFFFFFF )
@@ -889,7 +889,7 @@
 
 // -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
-sal_Bool X11SalGraphics::drawPolyPolygonBezier( ULONG nPoly, const ULONG* pPoints,
+sal_Bool X11SalGraphics::drawPolyPolygonBezier( sal_uInt32 nPoly, const sal_uInt32* pPoints,
                                                 const SalPoint* const* pPtAry, const BYTE* const* pFlgAry )
 {
     return sal_False;
Index: unx/source/gdi/salgdi3.cxx
===================================================================
RCS file: /cvs/gsl/vcl/unx/source/gdi/salgdi3.cxx,v
retrieving revision 1.131
retrieving revision 1.131.52.2
diff -u -r1.131 -r1.131.52.2
Index: win/inc/salgdi.h
===================================================================
RCS file: /cvs/gsl/vcl/win/inc/salgdi.h,v
retrieving revision 1.18
retrieving revision 1.18.130.1
diff -u -r1.18 -r1.18.130.1
--- win/inc/salgdi.h	2 Nov 2005 13:35:33 -0000	1.18
+++ win/inc/salgdi.h	22 Feb 2006 10:06:32 -0000	1.18.130.1
@@ -183,10 +183,10 @@
     virtual void		drawRect( long nX, long nY, long nWidth, long nHeight );
     virtual void		drawPolyLine( ULONG nPoints, const SalPoint* pPtAry );
     virtual void		drawPolygon( ULONG nPoints, const SalPoint* pPtAry );
-    virtual void		drawPolyPolygon( ULONG nPoly, const ULONG* pPoints, PCONSTSALPOINT* pPtAry );
+    virtual void		drawPolyPolygon( sal_uInt32 nPoly, const sal_uInt32* pPoints, PCONSTSALPOINT* pPtAry );
     virtual sal_Bool	drawPolyLineBezier( ULONG nPoints, const SalPoint* pPtAry, const BYTE* pFlgAry );
     virtual sal_Bool	drawPolygonBezier( ULONG nPoints, const SalPoint* pPtAry, const BYTE* pFlgAry );
-    virtual sal_Bool	drawPolyPolygonBezier( ULONG nPoly, const ULONG* pPoints, const SalPoint* const* pPtAry, const BYTE* const* pFlgAry );
+    virtual sal_Bool	drawPolyPolygonBezier( sal_uInt32 nPoly, const sal_uInt32* pPoints, const SalPoint* const* pPtAry, const BYTE* const* pFlgAry );
 
     // CopyArea --> No RasterOp, but ClipRegion
     virtual void		copyArea( long nDestX, long nDestY, long nSrcX, long nSrcY, long nSrcWidth,
Index: win/source/gdi/salgdi.cxx
===================================================================
RCS file: /cvs/gsl/vcl/win/source/gdi/salgdi.cxx,v
retrieving revision 1.23
retrieving revision 1.23.170.1
diff -u -r1.23 -r1.23.170.1
--- win/source/gdi/salgdi.cxx	28 Sep 2005 15:07:33 -0000	1.23
+++ win/source/gdi/salgdi.cxx	22 Feb 2006 10:06:32 -0000	1.23.170.1
@@ -1366,7 +1366,7 @@
 
 // -----------------------------------------------------------------------
 
-void WinSalGraphics::drawPolyPolygon( ULONG nPoly, const ULONG* pPoints,
+void WinSalGraphics::drawPolyPolygon( sal_uInt32 nPoly, const sal_uInt32* pPoints,
 								   PCONSTSALPOINT* pPtAry )
 {
 	UINT	aWinPointAry[SAL_POLYPOLYCOUNT_STACKBUF];
@@ -1507,7 +1507,7 @@
 
 // -----------------------------------------------------------------------
 
-sal_Bool WinSalGraphics::drawPolyPolygonBezier( ULONG nPoly, const ULONG* pPoints,
+sal_Bool WinSalGraphics::drawPolyPolygonBezier( sal_uInt32 nPoly, const sal_uInt32* pPoints,
                                              const SalPoint* const* pPtAry, const BYTE* const* pFlgAry )
 {
 #ifdef USE_GDI_BEZIERS
